aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVictor Morales <victor.morales@intel.com>2019-05-15 14:31:45 +0000
committerGerrit Code Review <gerrit@onap.org>2019-05-15 14:31:45 +0000
commit0993b5d7f5b8d7287e2e3d72c9e082b1ee0d7192 (patch)
treeb627e6d79aa6d8f0d20df44a83e618e51a6a9d23
parent117bf6f6409c77b3ceb435c368950040bcf90ec6 (diff)
parent5bed55070aa5540e3d0ff419cd46e708cf0276e5 (diff)
Merge "Add missing jq package installation"
-rwxr-xr-xkud/tests/_common_test.sh29
-rwxr-xr-xkud/tests/nfd.sh3
-rwxr-xr-xkud/tests/plugin.sh2
-rwxr-xr-xkud/tests/plugin_edgex.sh2
4 files changed, 36 insertions, 0 deletions
diff --git a/kud/tests/_common_test.sh b/kud/tests/_common_test.sh
new file mode 100755
index 00000000..be22db9a
--- /dev/null
+++ b/kud/tests/_common_test.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright 2019 © Samsung Electronics Co., Ltd.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# install_deps() - Install dependencies required for functional tests
+function install_deps {
+ if ! $(jq --version &>/dev/null); then
+ source /etc/os-release || source /usr/lib/os-release
+ case ${ID,,} in
+ *suse)
+ ;;
+ ubuntu|debian)
+ sudo apt-get install -y jq
+ ;;
+ rhel|centos|fedora)
+ ;;
+ esac
+ fi
+}
diff --git a/kud/tests/nfd.sh b/kud/tests/nfd.sh
index 17548206..b7e1f3e8 100755
--- a/kud/tests/nfd.sh
+++ b/kud/tests/nfd.sh
@@ -12,10 +12,13 @@ set -o errexit
set -o nounset
set -o pipefail
+source _common_test.sh
+
rm -f $HOME/*.yaml
pod_name=nfd-pod
+install_deps
cat << POD > $HOME/$pod_name.yaml
apiVersion:
v1
diff --git a/kud/tests/plugin.sh b/kud/tests/plugin.sh
index 1137f1b9..af74af5f 100755
--- a/kud/tests/plugin.sh
+++ b/kud/tests/plugin.sh
@@ -14,6 +14,7 @@ set -o pipefail
#set -o xtrace
source _common.sh
+source _common_test.sh
source _functions.sh
base_url="http://localhost:8081"
@@ -57,6 +58,7 @@ function start_aai_service {
}
# Setup
+install_deps
destroy_deployment $plugin_deployment_name
#start_aai_service
diff --git a/kud/tests/plugin_edgex.sh b/kud/tests/plugin_edgex.sh
index 3165efbf..4e806e6f 100755
--- a/kud/tests/plugin_edgex.sh
+++ b/kud/tests/plugin_edgex.sh
@@ -13,6 +13,7 @@ set -o nounset
set -o pipefail
#set -o xtrace
+source _common_test.sh
source _functions.sh
base_url="http://localhost:8081/v1/vnf_instances/"
@@ -21,6 +22,7 @@ namespace="default"
csar_id=cb009bfe-bbee-11e8-9766-525400435678
# Setup
+install_deps
_checks_args ${csar_id}
cp -R ./edgex/* ${CSAR_DIR}/${csar_id}/